brlapi-java-5.6-99.7.i586.rpm


Advertisement

Description

brlapi-java - Library to use BRLTTY from applications -- Java Bindings

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Hardware all
Package name brlapi-java
Package version 5.6
Package release 99.7
Package architecture i586
Package type rpm
Installed size 46.25 KB
Download size 46.50 KB
Official Mirror ftp.gwdg.de
BrlAPI is a service provided by the brltty daemon.
Its purpose is to allow programmers to write applications that take
advantage of a braille terminal in order to deliver a blind user
suitable information for his/her specific needs.
While an application communicates with the braille terminal, everything
brltty sends to the braille terminal in the application's console is
ignored, whereas each piece of data coming from the braille terminal is
sent to the application, rather than to brltty.

Alternatives

Package Version Architecture Repository
brlapi-java-5.6-99.7.x86_64.rpm 5.6 x86_64 openSUSE Hardware
brlapi-java-5.5-3.1.i586.rpm 5.5 i586 openSUSE Oss
brlapi-java-5.5-3.1.x86_64.rpm 5.5 x86_64 openSUSE Oss
brlapi-java - - -

Requires

Name Value
java -
jpackage-utils -
libbrlapi.so.0.6 -
libc.so.6(GLIBC_2.4) -

Provides

Name Value
brlapi-java = 5.6-99.7
brlapi-java(x86-32) = 5.6-99.7

Download

Type URL
Binary Package brlapi-java-5.6-99.7.i586.rpm
Source Package brltty-5.6-99.7.src.rpm

Install Howto

  1. Add the openSUSE Hardware repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/hardware/openSUSE_Tumbleweed/ opensuse-hardware
  2. Install brlapi-java rpm package:
    # zypper install brlapi-java

Files

Path
/usr/lib/java/libbrlapi_java.so
/usr/share/java/brlapi.jar

Changelog

See brltty-5.6-99.7.i586.rpm changelog.

See Also

Package Description
brltty-5.6-99.7.i586.rpm Braille display driver for Linux/Unix
brltty-5.6-99.7.x86_64.rpm Braille display driver for Linux/Unix
brltty-driver-at-spi2-5.6-99.7.i586.rpm AT-SPI 2 driver for BRLTTY
brltty-driver-at-spi2-5.6-99.7.x86_64.rpm AT-SPI 2 driver for BRLTTY
brltty-driver-brlapi-5.6-99.7.i586.rpm BrlAPI driver for BRLTTY
brltty-driver-brlapi-5.6-99.7.x86_64.rpm BrlAPI driver for BRLTTY
brltty-driver-espeak-5.6-99.7.i586.rpm ESpeak driver for BRLTTY
brltty-driver-espeak-5.6-99.7.x86_64.rpm ESpeak driver for BRLTTY
brltty-driver-libbraille-5.6-99.7.i586.rpm Libbraille driver for BRLTTY
brltty-driver-libbraille-5.6-99.7.x86_64.rpm Libbraille driver for BRLTTY
brltty-driver-speech-dispatcher-5.6-99.7.i586.rpm Speech Dispatcher driver for BRLTTY
brltty-driver-speech-dispatcher-5.6-99.7.x86_64.rpm Speech Dispatcher driver for BRLTTY
brltty-driver-xwindow-5.6-99.7.i586.rpm XWindow driver for BRLTTY
brltty-driver-xwindow-5.6-99.7.x86_64.rpm XWindow driver for BRLTTY
brltty-lang-5.6-99.7.noarch.rpm Translations for package brltty
Advertisement
Advertisement